Bug 1488942 (CVE-2017-13743)

Summary: CVE-2017-13743 liblouis: Buffer overflow in the function _lou_showString()
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: martin.gieseking, rmatos
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-03 16:05:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1488944, 1492710, 1492711    
Bug Blocks: 1488949    

Description Andrej Nemec 2017-09-06 13:39:22 UTC
There is a buffer overflow in Liblouis 3.2.0, triggered in the function _lou_showString() in utils.c, that will lead to a denial of service attack.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1484335

Comment 1 Andrej Nemec 2017-09-06 13:40:49 UTC
Created liblouis tracking bugs for this issue:

Affects: fedora-all [bug 1488944]

Comment 4 errata-xmlrpc 2017-11-02 15:52:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:3111 https://access.redhat.com/errata/RHSA-2017:3111